Subject: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: Glenn Morris <[email-masked]>
Date: Tue, 03 Feb 2015 11:54:14 -0500

Michael Albinus wrote:

> Now, when I unset HISTFILE in Tramp, I also set HISTFILESIZE and
> HISTSIZE to 0. 

I'd be concerned that that might mean "use the default history file, and
truncate it to zero size [even if it already existed]" to some shell,
but I haven't actually checked.